### Class

# Camel KeyFile

#### Description

    class Camel.KeyFile : GObject.Object
    {
      CamelKeyFilePrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### camel_key_file_new

Create a new key file. A linked list of record blocks.

#### Instance methods

###### camel_key_file_delete

No description available.

###### camel_key_file_read

Read the next block of data from the key file. Returns the number of records.

###### camel_key_file_rename

No description available.

###### camel_key_file_write

Write a new list of records to the key file.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelKeyFileClass {
      GObjectClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`reserved: gpointer`

  No description available.